export function Footer() {
    return <footer
        className="bg-white pb-[50px]"
    >
        <div
            className="w-[1158px] mt-[20px] mx-auto border-x border-t-2 border-b 
                border-x-[#cccccc] border-y-custom-blue-dark"
        >
            <div>
                <div
                    className="overflow-hidden flex items-center pt-[21px] pb-[30px] border-b border-b-[#cccccc]
                    min-h-[108px]"
                >
                    {[{
                        title: "게임",
                        items: [
                            "던전앤파이터",
                            "메이플스토리",
                            "아이돌마스터",
                            "리그 오브 레전드",
                            "마비노기",
                            "로스트아크",
                            "FC 온라인",
                            "승리의 여신 니케",
                            "사운드 볼텍스",
                            "포켓몬스터"
                        ]
                    }, {
                        title: "연예/방송",
                        items: [
                            "남자 연예인",
                            "여자 연예인",
                            "방탄소년단",
                            "아이유",
                            "태연",
                            "기타 국내 드라마",
                            "걸스플래닛999",
                            "백종원의 골목식당",
                            "미스터 트롯",
                            "기타 미국드라마"
                        ]
                    }, {
                        title: "스포츠",
                        items: [
                            "한화 이글스",
                            "롯데 자이언츠",
                            "해외야구",
                            "삼성 라이온즈",
                            "국내야구",
                            "해외축구",
                            "KIA 타이거즈",
                            "LG 트윈스",
                            "키움 히어로즈",
                            "SSG 랜더스"
                        ]
                    }, {
                        title: "교육/금융/IT",
                        items: [
                            "비트코인",
                            "부동산",
                            "정치, 사회",
                            "컴퓨터 본체",
                            "테블릿PC",
                            "자격증",
                            "학점은행제",
                            "토익",
                            "주식",
                            "일어"
                        ]
                    }, {
                        title: "여행/음식/생물",
                        items: [
                            "도시",
                            "여행-일본",
                            "편의점",
                            "치킨",
                            "기타음식",
                            "주류",
                            "식물",
                            "멍멍이",
                            "파충류, 양서류",
                            "야옹이",
                        ]
                    }, {
                        title: "취미/생활",
                        items: [
                            "인터넷방송",
                            "판타지",
                            "토이",
                            "대출",
                            "역학",
                            "미스터리",
                            "카툰-연재",
                            "만화",
                            "향수, 화장품",
                            "안경",
                        ]
                    }].map((section, index) => (
                        <dl
                            key={index}
                            className="border-l border-[#f1f1f1] pl-[20px] min-h-[108px] w-[170px] box-content"
                        >

                            <dt
                                style={{
                                    marginBottom: "4px",
                                    fontWeight: "bold",
                                    textDecorationLine: "underline",
                                    fontSize: "12px",
                                    color: "#333333",
                                    letterSpacing: "0.025em"
                                }}
                                className="text-[12px] text-custom-gray-dark"
                            >

                                {section.title}
                            </dt>
                            {section.items.map((item, idx) => (
                                <dd
                                    key={idx}
                                    style={{
                                        paddingTop: "5px",
                                        fontSize: "12px",
                                        lineHeight: "100%"
                                    }}
                                >
                                    <a href="javascript:void(0);"
                                        className="text-custom-gray-dark text-[11px]"
                                    >{item}</a>
                                </dd>
                            ))}
                        </dl>
                    ))}
                </div>
                <div
                    style={{
                        lineHeight: "40px",
                        height: "38px",
                        paddingRight: "19px",
                        paddingLeft: "16px",
                    }}
                    className="text-custom-gray-dark overflow-hidden grid"
                >
                    <span
                        style={{
                            fontSize: "11px",
                        }}
                        className="text-custom-gray-dark text-[11px] justify-self-end"
                    >
                        <a className="text-custom-gray-dark ml-[9px]">

                            <em className="inline-block mr-[4px] bg-sp-img bg-[-285px_-818px] w-2 h-2"
                            />
                            야간모드
                        </a>
                        <a
                            className="text-custom-gray-dark ml-[9px]"
                            href="javascript:void(0);"
                            onClick={() => {
                                window.scrollTo({ top: 0, behavior: "smooth" });
                            }}
                        >
                            <em
                                className="inline-block mr-[6px] bg-sp-img bg-[-52px_-50px] w-2 h-2"
                            />
                            맨위로
                        </a>
                    </span>
                </div>
            </div>
        </div>
        <div
            className="text-[12px] text-custom-gray-dark divide-x divide-[  d7d7d7] mx-auto text-center pt-7 w-[1160px]"
        >
            <a className="px-2">
                회사소개
            </a>
            <a className="px-2">
                제휴안내
            </a>
            <a className="px-2">
                광고안내
            </a>
            <a className="px-2">
                이용약관
            </a>
            <a className="px-2">
                <b> 개인정보처리방침 </b>
            </a>
            <a className="px-2">
                청소년보호정책
            </a>
            <a className="px-2">
                마이너 갤러리 운영원칙
            </a>
        </div>
        <div
            className="text-[12px] text-custom-gray-dark font-tahoma mt-[10px] mx-auto w-[1160px] text-center tracking-[0]"
        >
            Copyright ⓒ 1999 - 2025 dcinside. All rights reserved.
        </div>
    </footer>
}